### Method

# Pango Layout get_direction

#### Declaration [src]

    PangoDirection
    pango_layout_get_direction (
      PangoLayout* layout,
      int index
    )

#### Description [src]

Gets the text direction at the given character position in `layout`.

Available since: | 1.46

#### Parameters

`index` | `int`
| The byte index of the char.

#### Return value

Returns: | `PangoDirection`
| The text direction at `index`.